echo "Starting rescue update"
#
# To prevent accidental updates, use this stamp file for it.
# Remove file so if user inserts USB - stick second time the
# update will be started regardless.
#

# Script directory
DIR=$(dirname $(readlink -f $0))

if [ -e $DIR/update-done ] ; then
    #rm $1/update-done
    exit 0
fi

touch $DIR/update-done

ccsettingsconsole --led --color=green --frequency=7 --dutycycle=50

# Run update from /tmp - directory after unmounting USB-stick.
cp -a $DIR/rescue_update /tmp && cd /tmp/rescue_update && sync && sleep 2 && umount $DIR && ./fullup.sh -f -s &

